<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            android:paddingBottom="10dp"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            android:background="@drawable/shape_161722_20"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/ivGift"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="16dp"
                android:src="@mipmap/live_gift"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/ivMore"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="16dp"
                android:src="@mipmap/icon_more_white"
                android:visibility="visible"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="54dp"
                android:maxWidth="200dp"
                android:maxLines="1"
                android:textColor="#fff"
                android:textSize="18dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="Swago" />


            <com.swago.baseswago.cusview.LiangView
                android:id="@+id/tvAccount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toBottomOf="@+id/tvName"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"/>


            <com.swago.baseswago.cusview.SwagoLevelView
                android:id="@+id/tvLevelView"
                app:layout_constraintHorizontal_chainStyle="packed"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                app:layout_constraintEnd_toStartOf="@+id/ivVip"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvAccount" />


            <ImageView
                android:id="@+id/ivVip"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:src="@mipmap/vip"
                android:visibility="gone"
                app:layout_constraintEnd_toStartOf="@+id/tvAgent"
                app:layout_constraintStart_toEndOf="@+id/tvLevelView"
                app:layout_constraintTop_toTopOf="@+id/tvLevelView"
                app:layout_constraintBottom_toBottomOf="@+id/tvLevelView"
                tools:visibility="visible" />

            <ImageView
                android:id="@+id/tvAgent"
                android:src="@mipmap/icon_agent"
                android:visibility="gone"
                tools:visibility="visible"
                android:layout_marginStart="5dp"
                app:layout_constraintBottom_toBottomOf="@+id/tvLevelView"
                app:layout_constraintTop_toTopOf="@+id/tvLevelView"
                app:layout_constraintStart_toEndOf="@+id/ivVip"
                app:layout_constraintEnd_toStartOf="@+id/tvOfficial"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>

            <TextView
                android:id="@+id/tvOfficial"
                android:textSize="10dp"
                android:text="@string/official"
                android:textColor="#fff"
                android:paddingStart="16dp"
                android:paddingEnd="5dp"
                android:layout_marginStart="5dp"
                android:visibility="gone"
                tools:visibility="visible"
                android:background="@mipmap/icon_official_bg"
                app:layout_constraintBottom_toBottomOf="@+id/tvLevelView"
                app:layout_constraintTop_toTopOf="@+id/tvLevelView"
                app:layout_constraintStart_toEndOf="@+id/tvAgent"
                app:layout_constraintEnd_toEndOf="parent"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>


            <LinearLayout
                android:id="@+id/llFollow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="51dp"
                android:orientation="horizontal"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/llFans"
                app:layout_constraintTop_toBottomOf="@+id/tvName">

                <com.swago.baseswago.cusview.MediumTextView
                    android:id="@+id/tvFollowNum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="#ffffff"
                    android:textSize="14dp"
                    tools:text="24" />

                <com.swago.baseswago.cusview.MediumTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:text="@string/follow"
                    android:textColor="#ffffff"
                    android:textSize="14dp" />

            </LinearLayout>


            <LinearLayout
                android:id="@+id/llFans"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="51dp"
                android:layout_marginStart="20dp"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@+id/tvName"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/llFollow">

                <com.swago.baseswago.cusview.MediumTextView
                    android:id="@+id/tvFansNum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="#fff"
                    android:textSize="14dp"
                    tools:text="24" />

                <com.swago.baseswago.cusview.MediumTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:text="@string/fans"
                    android:textColor="#fff"
                    android:textSize="12dp" />

            </LinearLayout>



            <LinearLayout
                android:id="@+id/llChat"
                android:layout_width="120dp"
                android:layout_height="44dp"
                android:layout_marginTop="30dp"
                android:background="@drawable/shape_2f3043_37"
                android:gravity="center"
                android:layout_marginBottom="20dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/llToFollow"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/llFans">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/chat" />

                <com.swago.baseswago.cusview.MediumTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:text="@string/message"
                    android:textColor="#fff"
                    android:textSize="14dp" />

            </LinearLayout>


            <LinearLayout
                android:id="@+id/llToFollow"
                android:layout_width="120dp"
                android:layout_height="44dp"
                android:layout_marginStart="12dp"
                android:layout_marginTop="30dp"
                android:background="@drawable/shape_ff56b7_37"
                android:gravity="center"
                android:layout_marginBottom="20dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/llChat"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/llFans">

                <ImageView
                    android:id="@+id/ivFollow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/icon_info_follow" />

                <com.swago.baseswago.cusview.MediumTextView
                    android:id="@+id/tvFollow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:textColor="#fff"
                    android:textSize="14dp" />

            </LinearLayout>



        </androidx.constraintlayout.widget.ConstraintLayout>


        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivAvatar"
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:src="@mipmap/default_avatar"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/ivSex"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginTop="5dp"
            tools:src="@mipmap/info_female"
            app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
            app:layout_constraintEnd_toEndOf="@+id/ivAvatar" />


        <ImageView
            android:id="@+id/ivOnLive"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/onlive"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
            app:layout_constraintStart_toStartOf="@+id/ivAvatar"
            tools:visibility="visible" />




    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>